#pragma once
#include "unit.h"



class FlashBubble : public Unit
{

  public:

    GR::f32                   m_MovedDistance;

    bool                      m_ArrivedOnTop;

    GR::f32                   m_TimeToPop;


    FlashBubble();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
